Kea: isc::lease_query::BlqResponse Class Reference

| Kea 3.2.0-git

isc::lease_query::BlqResponse Class Reference

Holds a bulk lease query response packet. More...

`#include <blq_msg.h>`

Inheritance diagram for isc::lease_query::BlqResponse:
[legend]

## Public Member Functions
| BlqResponse (dhcp::PktPtr response)
| Constructor.
virtual | ~BlqResponse ()
| Destructor.
dhcp::PktPtr | getResponse ()
| Returns the DHCPx response packet.
Public Member Functions inherited from isc::lease_query::BlqMsg
| BlqMsg (dhcp::PktPtr pkt)
| Constructor.
virtual | ~BlqMsg ()
| Destructor.
dhcp::PktPtr | getPkt () const
| Returns a pointer to the DHCPx packet.
tcp::WireData & | getWireData ()
| Returns a reference to the wire data.
size_t | getWireSize () const
| Returns size of the packed wire data.
Xid | getXid () const
| Returns the transaction id.
void | pack ()
| Packs the packet into wire form ready for TCP transmission.
void | setXid (const Xid &xid)
| Sets the transaction id.

## Additional Inherited Members
Protected Attributes inherited from isc::lease_query::BlqMsg
dhcp::PktPtr | pkt_
| The DHCP(4/6) packet containing the query.
tcp::WireData | wire_data_
| Holds the TCP stream wire form of the query.

## Detailed Description

Holds a bulk lease query response packet.

Queries can result in an arbitrary number of responses e.g. one per matching client (more or less).

Definition at line 124 of file blq_msg.h.

## Constructor & Destructor Documentation

## ◆ BlqResponse()

isc::lease_query::BlqResponse::BlqResponse | ( | dhcp::PktPtr | response | ) |
| inline

Constructor.

Parameters

  response | Pointer to the DHCPx lease query response packet.

Definition at line 129 of file blq_msg.h.

References isc::lease_query::BlqMsg::BlqMsg().

Here is the call graph for this function:

## ◆ ~BlqResponse()

virtual isc::lease_query::BlqResponse::~BlqResponse | ( |  | ) |
| inlinevirtual

Destructor.

Definition at line 134 of file blq_msg.h.

## Member Function Documentation

## ◆ getResponse()

dhcp::PktPtr isc::lease_query::BlqResponse::getResponse | ( |  | ) |
| inline

Returns the DHCPx response packet.

Definition at line 137 of file blq_msg.h.

References isc::lease_query::BlqMsg::getPkt().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- blq_msg.h